QCINEOOB(1)

NAME
qcineoob - search movies, people, torrent and subtitles

SYNOPSIS
qcineoob [-h] [-dqv] [-b backends] ...
qcineoob [--help] [--version]

DESCRIPTION

Qt application allowing to search movies, people, torrent and subtitles.

  Supported websites:
* allocine (AlloCiné French cinema database service)
* btmon (BTMon BitTorrent database)
* cpasbien (Cpasbien Torrents BitTorrent tracker)
* imdb (Internet Movie Database service)
* kickass (Kickass Torrents BitTorrent tracker)
* limetorrents (Limetorrents BitTorrent tracker)
* opensubtitles (Opensubtitles subtitle website)
* piratebay (The Pirate Bay BitTorrent tracker)
* podnapisi (Podnapisi movies and tv series subtitle website)
* t411 (T411 BitTorrent tracker)
* torrentz (Torrentz Search Engine.)
* tvsubtitles (Tvsubtitles subtitle website)
* yggtorrent (YGG BitTorrent tracker)

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

--nss
    Use NSS instead of OpenSSL

LOGGING OPTIONS

-d, --debug
    display debug messages. Set up it twice to more verbosity

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

--export-session
    log browser session cookies after login

CONDITION
The -c and --condition is a flexible way to filter and get only interesting results. It supports conditions on numerical values, dates, durations and strings. Dates are given in YYYY-MM-DD or YYYY-MM-DD HH:MM format. Durations look like XhYmZs where X, Y and Z are integers. Any of them may be omitted. For instance, YmZs, XhZs or Ym are accepted. The syntax of one expression is "field operator value". The field to test is always the left member of the expression.

The field is a member of the objects returned by the command. For example, a bank account has "balance", "coming" or "label" fields.

  The following operators are supported:

=   Test if object.field is equal to the value.

!=  Test if object.field is not equal to the value.

>   Test if object.field is greater than the value. If object.field is date, return true if value is before that object.field.

<   Test if object.field is less than the value. If object.field is date, return true if value is after that object.field.

|   This operator is available only for string fields. It works like the Unix standard grep command, and returns True if the pattern specified in the value is in object.field.

  Expression combination

You can make a expression combinations with the keywords " AND ", " OR " an " LIMIT ".

The LIMIT keyword can be used to limit the number of items upon which running the expression. LIMIT can only be placed at the end of the expression followed by the number of elements you want.

  Examples:
boobank ls --condition 'label=Livret A'
Display only the "Livret A" account.

boobank ls --condition 'balance>10000'
Display accounts with a lot of money.

boobank history account@backend --condition 'label|rewe'
Get transactions containing "rewe".

boobank history account@backend --condition 'date>2013-12-01 AND date<2013-12-09'
Get transactions betweens the 2th December and 8th December 2013.

boobank history account@backend --condition 'date>2013-12-01 LIMIT 10'
Get transactions after the 2th December in the last 10 transactions

COPYRIGHT
Copyright(C) 2013-2019 Julien Veyssier

For full copyright information see the COPYING file in the weboob package.

FILES
"~/.config/weboob/backends" "~/.config/weboob/qcineoob"

SEE ALSO
Home page: http://weboob.org/applications/qcineoob